using Hotline.Share.Dtos.Quality;
using Hotline.Share.Enums.Quality;
namespace Hotline.Quality
{
    public interface IQualityDomainService
    {
        Task AddQualityAsync(EQualitySource Source, string OrderId, string VisitId, CancellationToken cancellationToken);
        Task AddQualityAsync(EQualitySource Source, string OrderId, CancellationToken cancellationToken);
        Task AddQualityAsync(QualityAddDto model, CancellationToken cancellationToken);
        Task UpdateQualityAsync(UpdateQualityDto model, CancellationToken cancellationToken);
    }
}
